### Function

# Camel DB sqlize_to_statement

since: 3.58

#### Declaration [src]

    void
    camel_db_sqlize_to_statement (
      GString* stmt,
      const gchar* str,
      CamelDBSqlizeFlags flags
    )

#### Description [src]

Encodes the `str` to be safe to use as a string in an SQL statement and appends it to the `stmt`. When `str` is `NULL`, a NULL word is appended.

Available since: 3.58

#### Parameters

`stmt`

  Type: `GString`

  A `GString` with an SQL statement.

  The data is owned by the caller of the function.

`str`

  Type: `const gchar*`

  A string to sqlize.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `CamelDBSqlizeFlags`

  Bit-or of `CamelDBSqlizeFlags`.